package controller

import (
	"github.com/gin-gonic/gin"
	"iot_manager_service/app/device/service"
	"iot_manager_service/app/middleware"
	"iot_manager_service/util"
	"net/http"
)

// 工作台管理对象
var Workbench = new(workbenchCtl)

type workbenchCtl struct{}

func (c *workbenchCtl) CountDevice(ctx *gin.Context) {
	value, isExist := ctx.Get(middleware.Authorization)
	if !isExist || value == nil {
		ctx.JSON(http.StatusUnauthorized, util.NormalResponse(http.StatusUnauthorized, "", nil))
	}

	device, err := service.WorkbenchService.CountDevice(value.(*middleware.JwtToken).TenantId)
	if err != nil {
		ctx.JSON(http.StatusOK, err)
		return
	}
	ctx.JSON(http.StatusOK, util.SuccessResponse(util.Succeeded, device))
}
