package middleware

import (
	"github.com/gin-gonic/gin"
)

func CheckAuth() gin.HandlerFunc {
	return func(ctx *gin.Context) {
		authorization := ctx.GetHeader(Authorization)
		if authorization != "" {
			token := parseAccessToken(authorization)
			if token != nil {
				ctx.Set(Authorization, token)
			}
		}
		ctx.Next()
	}
}
